Description: Avoid malformed wav causing floating point exception (integer divide by zero) 
Author: Fabian Greffrath <fabian+debian@greffrath.com>
Bug-Debian: https://bugs.debian.org/777159

--- a/frontend/get_audio.c
+++ b/frontend/get_audio.c
@@ -1448,6 +1448,10 @@ parse_wave_header(lame_global_flags * gf
         else {
             (void) lame_set_in_samplerate(gfp, global_reader.input_samplerate);
         }
+        /* avoid division by zero */
+        if (bits_per_sample < 1)
+            return -1;
+
         global. pcmbitwidth = bits_per_sample;
         global. pcm_is_unsigned_8bit = 1;
         global. pcm_is_ieee_float = (format_tag == WAVE_FORMAT_IEEE_FLOAT ? 1 : 0);
